#ifndef CMSIS_CY8C55_H
#define CMSIS_CY8C55_H

/******************************************************************************
 * @file:    CY8C55xx.h
 * @purpose: CMSIS Cortex-M3 Core Peripheral Access Layer Header File for
 *           Cypress CY8C55 Device Series
 * @version: V1.1
 * @date:    6th July, 2010
 *----------------------------------------------------------------------------
 *
 * Copyright (C) 2008 ARM Limited. All rights reserved.
 *
 * ARM Limited (ARM) is supplying this software for use with Cortex-M3
 * processor based microcontrollers.  This file can be freely distributed
 * within development tools that are supporting such ARM based processors.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 ******************************************************************************/


#ifndef __CY8C55xx_H__
#define __CY8C55xx_H__

/*
 * ==========================================================================
 * ---------- Interrupt Number Definition -----------------------------------
 * ==========================================================================
 */

typedef enum IRQn
{
/******  Cortex-M3 Processor Exceptions Numbers ***************************************************/
  NonMaskableInt_IRQn           = -14,      /*!< 2 Non Maskable Interrupt                         */
  MemoryManagement_IRQn         = -12,      /*!< 4 Cortex-M3 Memory Management Interrupt          */
  BusFault_IRQn                 = -11,      /*!< 5 Cortex-M3 Bus Fault Interrupt                  */
  UsageFault_IRQn               = -10,      /*!< 6 Cortex-M3 Usage Fault Interrupt                */
  SVCall_IRQn                   = -5,       /*!< 11 Cortex-M3 SV Call Interrupt                   */
  DebugMonitor_IRQn             = -4,       /*!< 12 Cortex-M3 Debug Monitor Interrupt             */
  PendSV_IRQn                   = -2,       /*!< 14 Cortex-M3 Pend SV Interrupt                   */
  SysTick_IRQn                  = -1,       /*!< 15 Cortex-M3 System Tick Interrupt               */

/******  LPC17xx Specific Interrupt Numbers *******************************************************/
  FillIRQ1                 = 0,        /*!<          */
  FillIRQ2                 = 1,        /*!<          */
  FillIRQ3                 = 2,        /*!<          */
  FillIRQ4                 = 3,        /*!<          */
  FillIRQ5                 = 4,        /*!<          */
  FillIRQ6                 = 5,        /*!<          */
  FillIRQ7                 = 6,        /*!<          */
  FillIRQ8                 = 7,        /*!<          */
  FillIRQ9                 = 8,        /*!<          */
  FillIRQ10                = 9,        /*!<          */
  FillIRQ11                = 10,       /*!<          */
  FillIRQ12                = 11,       /*!<          */
  FillIRQ13                = 12,       /*!<          */
  FillIRQ14                = 13,       /*!<          */
  FillIRQ15                = 14,       /*!<          */
  FillIRQ16                = 15,       /*!<          */
  CAN_IRQn                 = 16,       /*!<          */
  FillIRQ18                = 17,       /*!<          */
  FillIRQ19                = 18,       /*!<          */
  FillIRQ20                = 19,       /*!<          */
  FillIRQ21                = 20,       /*!<          */
  FillIRQ22                = 21,       /*!<          */
  FillIRQ23                = 22,       /*!<          */
  FillIRQ24                = 23,       /*!<          */
  FillIRQ25                = 24,       /*!<          */
  FillIRQ26                = 25,       /*!<          */
  FillIRQ27                = 26,       /*!<          */
  FillIRQ28                = 27,       /*!<          */
  FillIRQ29                = 28,       /*!<          */
  FillIRQ30                = 29,       /*!<          */
  FillIRQ31                = 30,       /*!<          */
  FillIRQ32                = 31,       /*!<          */
} IRQn_Type;


/*
 * ==========================================================================
 * ----------- Processor and Core Peripheral Section ------------------------
 * ==========================================================================
 */

/* Configuration of the Cortex-M3 Processor and Core Peripherals */
#define __MPU_PRESENT             1         /*!< MPU present or not                               */
#define __NVIC_PRIO_BITS          3         /*!< Number of Bits used for Priority Levels          */
#define __Vendor_SysTickConfig    0         /*!< Set to 1 if different SysTick Config is used     */


#include "core_cm3.h"     /* Cortex-M3 processor and core peripherals           */


/******************************************************************************/
/*                Device Specific Peripheral registers structures             */
/******************************************************************************/


#endif  // __CY8C55xx_H__


#endif
