#include <device.h>

#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"
#include "semphr.h"
#include "CY8C55xx.h"

#include <CYDEVICE.H> //Generated
#include "CyLib.h"    //Generated

static void Task1( void *pvParameters );
static void Task2( void *pvParameters );

void xPortPendSVHandler(void);
void xPortSysTickHandler(void);
void vPortSVCHandler(void);
extern cyisraddress CyRamVectors[];
void System_Init()
{
	CyIntSetSysVector(16 + SVCall_IRQn, (cyisraddress)vPortSVCHandler);
	CyIntSetSysVector(16 + SysTick_IRQn, (cyisraddress)xPortSysTickHandler);
	CyIntSetSysVector(16 + PendSV_IRQn, (cyisraddress)xPortPendSVHandler);

	/* Setup the initial stack pointer */
	CyRamVectors[0] = (cyisraddress)*(unsigned long *)(0x00000000);

	CYGlobalIntEnable;
}

void main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	System_Init();
	
	xTaskCreate( Task1, ( signed portCHAR * ) "Task1", configMINIMAL_STACK_SIZE+512, NULL, 3, NULL );
  	xTaskCreate( Task2, ( signed portCHAR * ) "Task2", configMINIMAL_STACK_SIZE, NULL, 4, NULL );
    
	vTaskStartScheduler();
}

static void Task1( void *pvParameters )
{
	unsigned long RunCount = 0;

    while (1)
	{	
		vTaskDelay(1000);
		Pin_2_Write(RunCount & 1);
		RunCount++;
	}
}

static void Task2( void *pvParameters )
{
	unsigned long RunCount = 0;

    while (1)
	{
		vTaskDelay(100);
		Pin_1_Write(RunCount & 1);
		RunCount++;
	}
}

void vApplicationStackOverflowHook( xTaskHandle* pxTask, signed portCHAR *pcTaskName )
{

}

void vApplicationTickHook( void )
{

}

/* [] END OF FILE */
